Skip to main content
PUT
[DNS Settings] Enable or disable DNSSEC

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string
required

The unique identifier (UUID) of the DNS zone

organization_id
string<uuid>
required
project_id
string<uuid>
required

Body

application/json
enabled
boolean
required

Response

DNSSEC status after the change

status
enum<string>
required
  • active - active
  • pending - pending
  • disabled - disabled
  • pending_disabled - pending disabled
  • error - error
Available options:
active,
pending,
disabled,
pending_disabled,
error
ds_record
string | null
required

The DS record to publish at the registrar, in zone-file form

key_tag
integer | null
required
algorithm
string | null
required
digest_type
string | null
required
digest
string | null
required
public_key
string | null
required

The DNSKEY public key, for registrars that ask for it instead of a DS record

flags
integer | null
required
domain_registered_with_us
boolean
required

Whether the domain this zone serves is registered through this account

automatic_ds_publication
boolean
required

Whether the DS record is published at the registrar automatically